Subject: FW: RTP Timestamping in Control messages of IuCS interface.

From: Sambasiva Rao Manchili <[email-masked]>
Date: Sat, 19 Feb 2011 18:13:10 +0100

I am forwarding this mail as the mail that I sent previously are on hold for its approval from different groups. Please do the needful.
Thank you.
________________________________________
From: Sambasiva Rao Manchili
Sent: Saturday, February 19, 2011 6:07 PM
To: [email-masked]; [email-masked]; [email-masked]; [email-masked]
Cc: Antonio Gambin; Markus Locher; Ralf Kühl
Subject: RTP Timestamping in Control messages of IuCS interface.

Hallo,

Can some one in IETF list, please help me to clarify the point w.r.t the Time stamping in RTP header for Audio Stream AMR 5.9.
I hope I am addressing to right group.

Our implementation of RTP is not accepting the two control messages belonging to the UPP(User plane protocol above RTP) if the two consecutive control packets arrived has same time stamp with different sequence numbers.
The two control messages are UPP_INIT_ACK and Rate Control Message which belongs to UPP layer on IuCS user plane stack.
Our implementation expects the time stamp of second packet to be 320ms greater than the time stamp arrived in 1st Control message of RTP header.

Our counter part RTP stack says their implementation is right and can have the same time stamp in the RTP header of these control messages.

 RFC 3350 tells about equal timestamps for Video stream belonging to same frame, but does not specifically tell about the control messages of its upper layer.
We have read the RFC 3550 , section 5.1 does NOT prevent RTP packets
from having equal timestamps but rather explicitly allows for it:

      Several consecutive RTP packets will have equal timestamps if
      they are (logically) generated at once, e.g., belong to the same
      video frame.  Consecutive RTP packets MAY contain timestamps that
      are not monotonic if the data is not transmitted in the order it
      was sampled, as in the case of MPEG interpolated video frames.
      (The sequence numbers of the packets as transmitted will still be
      monotonic.)

May I kindly ask the RTP experts in Audio Stream area(or specific to IuCS ) can please clarify me.

Thank you very much for your time.

Best Regads,
Samba.

This email and any attachment may contain confidential information which is intended for use only by the addressee(s) named above. If you received this email by mistake, please notify the sender immediately, and delete the email from your system. You are prohibited from copying, disseminating or otherwise using the email or any attachment.